#!/bin/bash
mypath=${0%/*}
t=`cat /$mypath/a.txt`

if [ -f $mypath/first ]
then
showQ "Important" "Thanks to fay and summer springs control, thanks fay, rejoice, and summer springs scripting support, you make the E8 world more wonderful !
1. This procedure is transplanted ZN5, to make the keyboard lights flash when a call comes .
2. As a result of the controller,the lights do not stop flashing even during a call so i have given a solution to it now you can set the time for flashing of the light for eg.10 seconds(default time)
3. Light flashing time may be slightly longer than the set point, which is normal.
-by Phythias from MagxCn
Translation By Nikhil007" 2
rm $mypath/first
fi

showRadio "E8 Funlight" ""  "Turn On" "Turn Off" "Set flash time" "Add Self-Start Script" "Remove Self-Start Script" "About" 
case "$?" in
1)
showQ "Start" "Crazy keyboard lights blinking in various patterns, the time is about$tseconds, there is no frequency at all." 2

kill `pid sleep`
kill `pidof on.sh`
kill `pidof on1.sh`
kill `pidof off.sh`
kill `pidof getCall`
showNotify "Success" "Now you will see flashlights during the call !! Congrats !" 0 4
/$mypath/getCall "/$mypath/on1.sh" "/$mypath/off.sh"
;;
2)
$mypath/end.sh
;;
3)
showSlider "Set Flash time in Seconds"  "Current value" 1 60  $t
g=$?
if [ "$g" = "0" ]
then
$mypath/load.sh
fi
echo $g > /$mypath/a.txt
showNotify "Success" "Time setting success!" 0 2
$mypath/load.sh
;;
4)
if [ -f /mmc/mmca1/mpkgbox/keyshining/getCall ]
then
cp -rf $mypath/S30keycard /ezxlocal/download/mystuff/unKnown/
else
cp -rf $mypath/S30keyphone /ezxlocal/download/mystuff/unKnown/
fi
showNotify "" "Success,Adding Self Starting Script." 0 2
;;
5)
rm -rf /ezxlocal/download/mystuff/unKnown/S30keycard
rm -rf /ezxlocal/download/mystuff/unKnown/S30keyphone
showNotify "" "Success,Removing Self Starting Script." 0 2
;;
6)
showQ "About" "Thanks to fay and summer springs control, thanks fay, rejoice, and summer springs scripting support, you make the E8 world more wonderful !
1. This procedure is transplanted ZN5, to make the keyboard lights flash when a call comes .
2. As a result of the controller,the lights do not stop flashing even during a call so i have given a solution to it now you can set the time for flashing of the light for eg.10 seconds(default time)
3. Light flashing time may be slightly longer than the set point, which is normal.
-by Phythias from MagxCn
Translation By Nikhil007" 2
$mypath/load.sh
;;
*)
exit 0
;;
esac